drill-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vitalii Diravka (JIRA)" <j...@apache.org>
Subject [jira] [Created] (DRILL-5978) Upgrade drill-hive library version to 2.1 or newer.
Date Mon, 20 Nov 2017 11:53:00 GMT
Vitalii Diravka created DRILL-5978:
--------------------------------------

             Summary: Upgrade drill-hive library version to 2.1 or newer.
                 Key: DRILL-5978
                 URL: https://issues.apache.org/jira/browse/DRILL-5978
             Project: Apache Drill
          Issue Type: Improvement
          Components: Storage - Hive
    Affects Versions: 1.11.0
            Reporter: Vitalii Diravka
             Fix For: Future


Currently Drill uses [Hive version 1.2.1 libraries|https://github.com/apache/drill/blob/master/pom.xml#L53]
to perform queries on Hive. This version of library can be used for Hive1.x versions and Hive2.x
versions too, but some features of Hive2.x are broken (for example using of ORC transactional
tables). To fix that it will be good to update drill-hive library version to 2.1 or newer.

Tasks which should be done:
- resolving dependency conflicts;
- investigating backward compatibility of newer drill-hive library with older Hive versions
(1.x);
- updating drill-hive version for [MapR|https://github.com/apache/drill/blob/master/pom.xml#L1777]
profile too.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message